Package com.collibra.dgc.core.api.dto.workflow

# Enum Class FindWorkflowTasksRequest.SortField

Object
Enum<FindWorkflowTasksRequest.SortField>
SortField

All Implemented Interfaces:
  `Serializable`, `Comparable<FindWorkflowTasksRequest.SortField>`, `Constable`

Enclosing class:
  `FindWorkflowTasksRequest`

public static enum FindWorkflowTasksRequest.SortField extends Enum<FindWorkflowTasksRequest.SortField>
This enum identifies on what fields it is possible to order tasks.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATION_DATE`
  Order on the creation date of the tasks.
  `DESCRIPTION`
  Order tasks by the description.
  `DUE_DATE`
  Order on the due date of the tasks.
  `ITEM`
  Order tasks by the verbalised form of the associated business item.
  `TITLE`
  Order tasks by title.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowTasksRequest.SortField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindWorkflowTasksRequest.SortField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DUE_DATE

    public static final FindWorkflowTasksRequest.SortField DUE_DATE
    Order on the due date of the tasks.

  - ### CREATION_DATE

    public static final FindWorkflowTasksRequest.SortField CREATION_DATE
    Order on the creation date of the tasks.

  - ### TITLE

    public static final FindWorkflowTasksRequest.SortField TITLE
    Order tasks by title.

  - ### ITEM

    public static final FindWorkflowTasksRequest.SortField ITEM
    Order tasks by the verbalised form of the associated business item.

  - ### DESCRIPTION

    public static final FindWorkflowTasksRequest.SortField DESCRIPTION
    Order tasks by the description.

- ## Method Details

  - ### values

    public static FindWorkflowTasksRequest.SortField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindWorkflowTasksRequest.SortField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null